apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: apisix-admin-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: api.pda1.test.esspass-poc.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: apisix-admin
                port:
                  number: 9180
  tls:
    - hosts:
      - api.pda1.test.esspass-poc.eu
      secretName: api-test-esspass-poc-cert
